<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" type="text/css" href="/webjars/bootstrap/5.1.3/css/bootstrap.min.css">
    <script src="/webjars/bootstrap/5.1.3/js/bootstrap.bundle.js"></script>
</head>
<!-- toto je navbar, vrchny panel v ramci webu -->
<body>
<nav class="navbar navbar-expand-sm navbar-dark bg-dark">
    <div class="container-fluid">

        <a class="navbar-brand" th:href="@{/}">Home</a>
        <div class="collapse navbar-collapse" id="mynavbar">
            <ul class="navbar-nav me-auto">
                <!--horna lista webu, moznosti v ramci Courses-->
                <li class="nav-item dropdown" sec:authorize="isAuthenticated()">
                    <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown">Courses</a>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" th:href="@{/courses/index}" sec:authorize="hasAuthority('Admin')">Search</a>
                        </li>
                        <li><a class="dropdown-item" th:href="@{/courses/index/student}"
                               sec:authorize="hasAuthority('Student')">Student Courses</a>
                        </li>
                        <li><a class="dropdown-item" th:href="@{/courses/index/instructor}"
                               sec:authorize="hasAuthority('Instructor')">Instructor Courses</a>
                        </li>
                        <li><a class="dropdown-item" th:href="@{/courses/formCreate}"
                               sec:authorize="hasAnyAuthority('Admin','Instructor')">New Course</a></li>
                    </ul>
                </li>
                <!--horna lista webu, moznosti v ramci Instructors-->
                <li class="nav-item dropdown" sec:authorize="isAuthenticated() && hasAuthority('Admin')">
                    <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown">Instructors</a>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" th:href="@{/instructors/index}">Search</a></li>
                        <li><a class="dropdown-item" th:href="@{/instructors/formCreate}">New Instructor</a></li>
                    </ul>
                </li>
                <!--horna lista webu, moznosti v ramci Students-->
                <li class="nav-item dropdown" sec:authorize="isAuthenticated() && hasAuthority('Admin')">>
                    <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown">Students</a>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" th:href="@{/students/index}">Search</a></li>
                        <li><a class="dropdown-item" th:href="@{/students/formCreate}">New Student</a></li>
                    </ul>
                </li>
            </ul>
            <ul class="navbar-nav">
                <li class="nav-item dropdown" sec:authorize="isAuthenticated()">
                    <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown">
                        <span sec:authentication="name"></span>
                    </a>
                    <ul class="dropdown-menu">
                        <li sec:authorize="hasAuthority('Instructor')"><a class="dropdown-item"
                                                                          th:href="@{/instructors/formUpdate}">Update Profile</a></li>
                        <li sec:authorize="hasAuthority('Student')"><a class="dropdown-item"
                                                                          th:href="@{/students/formUpdate}">Update Profile</a></li>
                        <li><a class="dropdown-item" th:href="@{/logout}">Logout</a></li>
                    </ul>
                </li>
                <li class="nav-item" sec:authorize="isAnonymous()">
                    <a class="nav-link" th:href="@{/login}">Login</a>
                </li>
            </ul>
        </div>
    </div>
</nav>
<section layout:fragment="content1">

</section>
</body>
</html>